<?php
/**
 * Filename: edit.php
 * Created by: Voodoo Suite Plugins
 * Copyright:2018 All Rights Reserved - Voodoo Suite Plugins
 *
 * Skype: blogprofitnetwork
 * Email: marcus@voodoosuite.com
 *
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

include_once ('pages/header.part.php');

$trackerId = intval($_GET['id']);
$trackerUrl = $clickVoodooDatabase->getTrackerById($trackerId);
?>

    <div class="ui-tabs">
        <ul class="ui-tabs-nav">
            <li><a href="#edit">Edit <?php echo $trackerUrl['name']; ?></a></li>
        </ul>


	    <!-- edit -->
	    <div id="edit" class="grid">
		    <!-- holder - update -->
		    <div id="holder-update" class="row cell">
			    <div>
				    <h2>Edit <?php echo $trackerUrl['name'] ?></h2> <hr /><br />

				    <div>
					    <form name="updateTrackerForm" id="updateTrackerForm" method="POST" action="">
						    <input type="hidden" name="tracker_id" id="tracker_id" value="<?php echo $trackerId; ?>" />

						    <div class="row cells2">
							    <div class="cell">
								    <div class="input-control text full-size">
									    <label for="tracker_name">Name</label>
									    <input type="text" name="tracker_name" id="tracker_name" placeholder="Enter name ( reference only )" value="<?php echo $trackerUrl['name']; ?>" />
								    </div>
							    </div>
						    </div>

						    <div class="row cells2">
							    <div class="cell">
								    <div class="input-control text full-size">
									    <label for="tracker_url">URL To Shorten</label>
									    <input type="text" name="tracker_url" id="tracker_url" placeholder="Enter URL you want to shorten" value="<?php echo $trackerUrl['url'] ?>" />
								    </div>
							    </div>

							    <div class="cell">
								    <div class="row cells12">
									    <div class="cell colspan9">
										    <div class="input-control text full-size">
										        <label for="tracker_url_value">Shortened URL</label>
										        <input type="text" name="tracker_url_value" id="tracker_url_value" value="<?php echo $trackerUrl['url_value']; ?>" />
									        </div>
									    </div>
									    <div class="cell colspan3">
										    <div style="margin-top:10px;"></div>
										    <button name="cmdGenerateUrlValue" id="cmdGenerateUrlValue" class="button button-secondary fg-red">
											    <span class="mif-loop2"></span>
										    </button>

										    <button name="cmdReloadUrlValue" id="cmdReloadUrlValue" data-reload-value="<?php echo $trackerUrl['url_value']; ?>" class="button button-secondary fg-green">
											    <span class="mif-previous"></span>
										    </button>
									    </div>
								    </div>
							    </div>
						    </div>

						    <div class="row cell">
							     <div style="background:#f1f1f1; padding:10px;">
								     <?php
								     if (get_option('permalink_structure')) {
									     //* enabled
									     echo '<strong>Generated URL : </strong> '. get_bloginfo('home') .'/'. $options['url_parser'] .'/<span id="tracker_url_preview"></span>/';
								     }
								     else {
									     //* disabled
									     echo '<strong>Generated URL : </strong> '. get_bloginfo('home') .'?'. $options['url_parser'] .'=<span id="tracker_url_preview"></span>';
								     }
								     ?>

							     </div>
						    </div>

						    <div class="row cell">
							    <button name="cmdUpdateTracker" id="cmdUpdateTracker" class="button button-primary">
								    <span class="icon mif-checkmark"></span> Submit Changes
							    </button>
							    <a href="<?php echo admin_url('admin-ajax.php') .'?page='. CLICKVOODOO_CODE; ?>" name="cmdCancelNewTracker" id="cmdCancelNewTracker" class="button button-secondary fg-red">
							        <span class="icon mif-cross"></span> Cancel
						        </a>

							    <span id="dialog"></span>
						    </div>
					    </form>
				    </div>
			    </div>
		    </div>
		    <!-- // holder - update -->
	    </div>
	    <!-- // edit -->
    </div>


<?php
include_once ('pages/footer.part.php');